@import url("https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&family=Manrope:wght@200..800&family=Outfit:wght@100..900&display=swap");
:root {
  --color-main: #b40fe1;

  --max-width: 1250px;

  --max-padding: calc((100% - 1250px) / 2);

  --font-manrope: "Manrope", sans-serif;
  --font-oufit: "Outfit", sans-serif;
  --font-dm-sans: "DM Sans", sans-serif;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: var(--font-manrope);
  border: none;
  stroke: none;
  outline: none;
}
html {
  width: 100%;
  height: 100%;
  background: #111;
}
.hero-main {
  position: relative;
  width: 100%;
  min-height: 550px;
  background-image: linear-gradient(
      180deg,
      transparent 98%,
      rgba(255, 255, 255, 0.3) 2%
    ),
    linear-gradient(90deg, transparent 98%, rgba(255, 255, 255, 0.3) 2%);
  background-size: 30px 30px;
  background-repeat: repeat;
  display: flex;
  align-items: center;
  flex-direction: column;
}
.hero-main * {
  position: relative;
  z-index: 2;
}
.hero-main::before {
  content: "";
  width: 100%;
  height: 100px;
  background: linear-gradient(180deg, #111 30%, transparent);
  position: absolute;
  top: 0;
  left: 0;
  z-index: 0;
}
.hero-main::after {
  content: "";
  width: 100%;
  height: 100px;
  background: linear-gradient(360deg, #111 30%, transparent);
  position: absolute;
  bottom: 0;
  left: 0;
  z-index: 0;
}
nav {
  width: calc(100% - 40px);
  min-height: 55px;
  background: rgba(0, 0, 0, 0.6);
  border: 1px solid rgba(255, 255, 255, 0.5);
  margin: 20px;
  border-radius: 10px;
  padding: 8px 15px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
nav .brand-name {
  font-size: 18px;
  color: white;
  text-decoration: none;
  font-weight: 700;
  cursor: pointer;
}
nav .language-btns {
  display: flex;
  align-items: center;
  gap: 6px;
}
nav .language-btns .btns {
  background: transparent;
  font-size: 10px;
  color: white;
  padding: 5px 10px;
  border: 1px solid rgba(255, 255, 255, 0.4);
  border-radius: 6px;
  cursor: pointer;
}
nav .language-btns .active {
  border-color: white;
}
.video-trailer {
  width: calc(100% - 40px);
  aspect-ratio: 16/9;
  margin: 20px;
  border-radius: 20px;
  box-shadow: 0 0 20px #f69f257a;
  object-fit: cover;
  background: wheat;
}
.hero-content {
  display: flex;
  align-items: center;
  flex-direction: column;
  margin: 15px 20px;
}
.hero-content .badge {
  background: #faffe41a;
  color: rgb(117, 177, 0);
  font-size: 12px;
  padding: 8px 14px;
  border-radius: 10px;
  font-family: var(--font-oufit);
  font-weight: 500;
  text-shadow: 1px 1px 0 #000, 2px 2px 3px rgba(0, 0, 0, 0.5);
}

.hero-content .title {
  text-align: center;
  color: white;
  font-size: 22px;
  margin: 10px 0;
  line-height: 1.4;
}

.join-btn {
  background: linear-gradient(to right, #a8ff78, #78ffd6);
  color: #000;
  font-weight: bold;
  font-size: 16px;
  padding: 12px 24px;
  border: none;
  border-radius: 6px;
  margin: 0;
  min-height: 45px;
  margin-top: 10px;
  cursor: pointer;
  transition: background 0.3s ease;
  font-family: var(--font-oufit);
  animation: fadeIn 1s ease-in-out;
}

.bottom-purchace1 {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  background-color: #111;
  color: #fff;
  text-align: center;
  padding: 12px 15px;
  box-shadow: 0 -2px 10px rgba(0, 0, 0, 0.5);
  z-index: 999;
  transition: all 0.3s ease-in-out;
  padding-top: 0;
}

.countdown-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 20px 0;
  gap: 10px;
}

.countdown {
  display: flex;
  gap: 12px;
}

.time-box {
  background-color: #222;
  padding: 8px 12px;
  width: 60px;
  height: 60px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  border-radius: 8px;
  color: white;
  font-family: sans-serif;
}

.time-box span {
  font-size: 18px;
  font-weight: bold;
  line-height: 1;
  color: white;
}

.time-box small {
  font-size: 10px;
  margin-top: 4px;
  line-height: 1;
  color: white;
}
.gradient-text {
  background: linear-gradient(to right, #a8ff78, #78ffd6);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  color: transparent;
}

.offer-heading {
  font-size: 18px;
  display: flex;
  flex-wrap: nowrap;
  font-weight: 700;
  margin: 0 20px;
  margin-bottom: 20px;
}

.expired-text {
  margin: 0;
  padding: 0;
  color: red;
  margin-top: 20px;
  font-size: 16px;
  font-family: var(--font-oufit);
}

.sec-3 {
  background-color: #111;
  display: flex;
  align-items: center;
}

.card {
  background-color: #0c0909;
  border-radius: 16px;
  margin-top: 30px;
  max-width: 400px;
  padding: 20px;
  width: 100%;
  margin: 0 20px;
  box-shadow: 0 0 20px rgba(255, 255, 255, 0.1);
  color: #fff;
}

.card img {
  width: 100%;
  border-radius: 12px;
  box-shadow: 0 0 20px rgba(255, 255, 255, 0.1);
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(-10px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.join-btn:hover {
  transform: scale(1.03);
  box-shadow: 0 0 25px rgba(184, 246, 37, 0.7);
}

.perks-title {
  font-size: 18px;
  color: white;
  font-weight: 700;
  margin-bottom: 6px;
}

.perk {
  display: flex;
  align-items: center;
  gap: 4px;
  margin-bottom: 4px;
  font-size: 13px;
  color: #e0e0e0;
  line-height: 1.6;
}

.perk i {
  color: #b8f625;
  font-size: 1.2rem;
}
.sec-3 .join-btn {
  font-size: 14px;
  white-space: nowrap;
  margin: 20px 0;
  width: 100%;
}

.sec4 {
  text-align: center;
  padding-top: 40px;
  background-color: #111;
}

.sec4 h1 {
  font: bold;
  color: white;
  font-family: sans-serif;
}

.proof {
  display: flex;
  flex-direction: column;
  padding: 20px;
  background-color: #161616;
  padding: 20px;
  border-radius: 15px;
}

.proofimg {
  width: 100%;
  border: 5px #111;
  border-radius: 10px;
  margin: auto;
}

.proofimg img {
  width: 100%;
  border-radius: 10px;
}

.footer {
  background-color: black;
  text-align: center;
  padding: 30px;
  width: 100%;
}

.footer h3 {
  color: wheat;
  font-size: 22px;
}

.footer p {
  width: 100%;
  color: rgba(245, 245, 245, 0.87);
  font-size: 0.6em;
  padding: 0 20px;
  margin-top: 10px;
  margin-bottom: 30px;
  justify-content: center;
}

.top-trust-bar {
  width: 100%;
  font-size: 14px;
  background: linear-gradient(to right, #a8ff78, #78ffd6);
  padding: 10px;
  text-align: center;
  font-weight: 700;
  color: black;
}




.best-for {
  padding: 25px 15px;
  background: black;
  border-radius: 14px;
  margin: 20px;
  width: calc(100% - 40px);
}

.best-for h3 {
  text-align: center;
  font-size: 18px;
  margin-bottom: 18px;
  color: #ffffff;
}

.best-for .info {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 6px;
}

.best-for .item {
  display: flex;
  align-items: center;
  gap: 10px;
  background: #111;
  padding: 12px 10px;
  border-radius: 10px;
  font-size: 14px;
  color: #e5e7eb;
}

.best-for .item i {
  color: #22c55e;
  font-size: 16px;
}

/* Mobile perfect */
@media (max-width: 480px) {
  .best-for .info {
    grid-template-columns: 1fr;
  }
}

#overlay {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.6);
  display: none;
  z-index: 599;
}

/* Dialog */
#iosDialog {
  height: fit-content;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 90%;
  max-width: 400px;
  background: #fff;
  border-radius: 18px;
  padding: 16px;
  z-index: 5999;
  transition: 0.3s ease;
  display: none;
  flex-direction: column;
}

/* Header */
.header {
  display: flex;
  align-items: center;
  gap: 10px;
  margin-bottom: 10px;
  justify-content: space-between;
  color: black !important;
}
.header h3 {
  color: black;
  font-size: 18px;
}

.back {
  cursor: pointer;
  font-size: 18px;
  color: black;
}

/* Form */
form input,
form textarea {
  width: 100%;
  padding: 12px;
  margin-bottom: 10px;
  border-radius: 12px;
  border: 1px solid #ddd;
  font-size: 15px;
  color: black !important;
}

form textarea {
  resize: none;
  height: 80px;
}

form button {
  width: 100%;
  padding: 14px;
  border-radius: 14px;
  border: none;
  background: #007aff;
  color: white;
  font-size: 16px;
}
#paymentStatus {
  font-size: 12px;
  width: 100%;
  text-align: center;
}
.paymentStatus{
    font-size: 10px;
  width: 100%;
  text-align: center;
  color: black;
  margin: 10px 0;
}
.join-dg-image{
  width: 100%;
  border-radius: 20px;
  box-shadow: 0 0 20px #b7f62573;
  margin-bottom: 10px;
  aspect-ratio: 16/9;
}
.dg-join-btn{
  background: linear-gradient(
      179.532deg,
      rgb(184, 246, 37) 0%,
      rgb(117, 177, 0) 100%
    )
    rgba(0, 0, 0, 0);
  border-radius: 10px;
  border-width: 0;
  color: black;
  width: 100%;
  padding: 15px 20px;
  font-weight: 700;
}

.hero-image{
  width: calc(100% - 60px);
  margin: 40px 30px;
  border-radius: 20px;
  box-shadow: 0 0 20px #b7f62573;
}

.loader-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.9);
  display: none; /* hidden by default */
  align-items: center;
  justify-content: center;
  flex-direction: column;
  z-index: 9999;
}

/* Spinner */
.loader {
  width: 60px;
  height: 60px;
  border: 6px solid #e0e0e0;
  border-top: 6px solid #b8f625;
  border-radius: 50%;
  animation: spin 1s linear infinite;
}

/* Text */
.loader-overlay p {
  margin-top: 15px;
  font-size: 16px;
  color: #333;
  font-weight: bold;
}

/* Animation */
@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
